Skip to content
Trade Risk

Query Buy Power

This interface is used to query the current buying power of a specified securities account. By providing the account number account_no and an optional currency currency, it returns the maximum available buying power for the account in the specified currency. The buying power takes into account both the account's cash balance and financing limit.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/asset/risk/buy_power

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

account_nostringRequired

Account Information

currencystringOptional

Currency

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
buy_powerstringrequired

Buy Power. Buy Power

currencystringrequired

currency. currency

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs